import { ResolvedMediaItem } from "./BaseResolver.js";
import { UrlResolverOptions } from "./UrlResolverOptions.js";
export declare class UrlResolver {
    private allResolvers;
    constructor();
    /**
       *
       * @param {string} urlToResolve
       * @returns {string}
       */
    resolve(urlToResolve: string | string[], options?: Partial<UrlResolverOptions>): Promise<ResolvedMediaItem[]>;
    /**
       * Resolve recursively all the urls until all not fetched. It's a heavy call and
       * can take minutes to resolve if the sources are slow to respond.
       * @param {string} urlToResolve
       * @returns {collection of resolved links}
       */
    resolveRecursive(urlToResolve: string | string[], options?: Partial<UrlResolverOptions>): Promise<ResolvedMediaItem[]>;
}
