import { BaseUrlResolver } from "../BaseResolver.js";
export class FreespinResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/freespinwins\.com/]
        });
    }
    async resolveInner(_urlToResolve) {
        const response = await this.gotInstance(_urlToResolve);
        const form = this.getHiddenForm(response.body);
        if (!form)
            return [];
        await this.wait(5000);
        const response2 = await this.gotInstance.post('https://freespinwins.com/links/go', {
            form: form,
            headers: {
                "X-Requested-With": "XMLHttpRequest"
            }
        });
        const result = { link: JSON.parse(response2.body).url };
        return [result];
    }
}
//# sourceMappingURL=freespinwins.js.map