import { BaseUrlResolver } from "../BaseResolver.js";
export class WicketResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/wicket/]
        });
    }
    async resolveInner(_urlToResolve) {
        const { data } = await this.scrapeItAsync(_urlToResolve, {
            output: {
                selector: 'iframe',
                attr: 'src'
            }
        });
        const { output } = data;
        const result = { link: output, title: output };
        return [result];
    }
}
//# sourceMappingURL=wicket.js.map