import { BaseUrlResolver } from "../BaseResolver.js";
export class WorkersDevResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/(dl.hdhub\d{0,}.workers.dev)/],
            speedRank: 95
        });
    }
    async resolveInner(_urlToResolve) {
        const title = this.extractFileNameFromUrl(_urlToResolve);
        const result = {
            isPlayable: true,
            link: _urlToResolve,
            title
        };
        return [result];
    }
    async canResolve(urlToResolve) {
        const u = new URL(urlToResolve);
        return u.hostname.endsWith('workers.dev') || u.hostname.endsWith('r2.dev') || u.hostname.endsWith('fastdl.lol');
    }
}
//# sourceMappingURL=workers.dev.js.map